Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Match a list of ssns to recipient for a specific tenant

POST
/v2/tenant/{tenantKey}/usermatch/ssn
curl --request POST \
--url https://sender.api.kivra.com/v2/tenant/example/usermatch/ssn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "list": [ "191212121212", "197701032380", "198112172385" ] }'

Match a list of SSNs to identify those eligible to receive content from the tenant.

tenantKey
required
string format: hexadecimal

The tenant key the matching should be done against. Recipients that opt-out from the tenant will be excluded.

List of SSNs to be matched. The payload can be up to 10MB in size, corresponding to about 500.000 SSNs. If the payload exceeds 10MB, Kivra will respond with a 413 error.

Media typeapplication/json
UserMatchV2SSN
object
list
required

List of recipient addresses to be matched

Array<string>
Example
{
"list": [
"191212121212",
"197701032380",
"198112172385"
]
}

Filtered list of SSNs that matched.

Media typeapplication/json
UserMatchV2SSN
object
list
required

List of recipient addresses to be matched

Array<string>
Example
{
"list": [
"191212121212",
"198112172385"
]
}